diff --git a/backend/drm/drm.c b/backend/drm/drm.c
index d6a7582c0a..1313e7fe22 100644
--- a/backend/drm/drm.c
+++ b/backend/drm/drm.c
@@ -1354,7 +1354,6 @@ static void drm_connector_cleanup(struct wlr_drm_connector *conn) {
 		conn->output.needs_swap = false;
 		conn->output.frame_pending = false;
 
-		conn->pageflip_pending = false;
 		/* Fallthrough */
 	case WLR_DRM_CONN_NEEDS_MODESET:
 		wlr_log(WLR_INFO, "Emitting destruction signal for '%s'",
